----------------------------------------------------------------------------
-- Filename:	cr_audit_admin.sql
-- Purpose:	Creates table to be used by USER_ADMIN procedure.
-- Author:	Chas. Dye (cdye@excitecorp.com)
-- Date:	05-Mar-1998
----------------------------------------------------------------------------

set echo on
set termout on
spool audit_admin.log

DROP PUBLIC SYNONYM audit_admin
/
DROP TABLE audit_admin CASCADE CONSTRAINTS
/
CREATE TABLE audit_admin (
audit_id	NUMBER(10)	NOT NULL,
procname	VARCHAR2(12),
info		VARCHAR2(40),
errornum	NUMBER(6),
audit_user	VARCHAR2(30),
audit_date	DATE
)
/

CREATE PUBLIC SYNONYM audit_admin FOR audit_admin
/

ALTER TABLE audit_admin ADD (
CONSTRAINT pk_audit_admin
PRIMARY KEY (audit_id)
)
/

CREATE OR REPLACE TRIGGER t_brr_iu_audit_admin
BEFORE INSERT OR UPDATE
ON audit_admin
FOR EACH ROW

BEGIN
	:new.audit_user := USER;
	:new.audit_date := SYSDATE;
END;
/

spool off
