--------------------------------------------------------------------------------
-- Filename:	defcall.sql
-- Purpose:	Reports on all queued calls in defcall
-- Author:	Chas. Dye (cdye@excite.com)
-- Date:	28-Jun-1996
--
-- Modification Hisory
-- -------------------
-- 03-Jun-1998 : Chas. : Removed deferred_tran_db field (not in Oracle8)
--------------------------------------------------------------------------------

col callno		heading "Call|No"		format 9999
col deferred_tran_id	heading "Deferred|Tran|ID"	format a12
col schemaname		heading "Schema|Name"		format a8
col packagename		heading "Package|Name"		format a25
col procname		heading "Procedure|Name"	format a10
col argcount		heading "Arg|Count"		format 999
col dblink		heading "Destination"		format a17

SELECT	c.callno,
	c.deferred_tran_id,
	c.packagename,
	c.procname,
	c.argcount,
	d.dblink
FROM	defcall c, defcalldest d
WHERE	c.callno = d.callno
AND	c.deferred_tran_id = d.deferred_tran_id
/
