--------------------------------------------------------------------------------
-- Filename:	errorinfo.sql
-- Purpose:	Reports on all errors 
-- Author:	Chas. Dye (cdye@excite.com)
-- Date:	28-Jun-1996
--
-- Modification Hisory
-- -------------------
-- 03-Jun-1998 : Chas. : Removed deferred_tran_db field (not in Oracle8)
-- 09-Oct-1998 : Chas. : Added ORDER BY e.start_time
--------------------------------------------------------------------------------

col callno		heading "Call|No"		format 9999
col deferred_tran_id	heading "Deferred|Tran|ID"	format a12
col schemaname		heading "Schema|Name"		format a8
col packagename		heading "Package|Name"		format a25
col procname		heading "Procedure|Name"	format a10
col argcount		heading "Arg|Count"		format 999
col origin_tran_db	heading "Origin"		format a17

SELECT	c.callno,
	c.deferred_tran_id,
	c.packagename,
	c.procname,
	c.argcount,
	e.origin_tran_db
FROM	defcall c, deferror e
WHERE	c.deferred_tran_id = e.deferred_tran_id
AND	c.callno = e.callno
ORDER BY e.start_time
/
