-------------------------------------------------------------------------------
-- Filename:	pk_regions.sql
-- Purpose:	Creates the constraints and indexes on table REGIONS.
-------------------------------------------------------------------------------

set echo on
set termout on
spool pk_regions.log

ALTER TABLE regions ADD (
CONSTRAINT pk_regions
PRIMARY KEY (region_id)
USING INDEX TABLESPACE sprocket_indx
STORAGE (INITIAL 16K NEXT 16K PCTINCREASE 0)
)
/

ALTER TABLE regions ADD (
CONSTRAINT fk_regions_country_id
FOREIGN KEY (country_id)
REFERENCES countries (country_id)
)
/

CREATE INDEX i_region_country_id ON regions(country_id)
TABLESPACE sprocket_indx STORAGE (INITIAL 16K NEXT 16K PCTINCREASE 0)
/

spool off
